AdminCaja/Areas/Admin/Models/Procedures/ProcedureFileViewModel.cs
using AdminCaja.Models;
using Resources;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AdminCaja.Areas.Admin.Models.Procedures
{
    public class ProcedureFileViewModel
    {
        public int Id { get; set; }
        public int ProcedureId { get; set; }

        [Display(Name ="Title", ResourceType = typeof(L))]
        [Required(ErrorMessageResourceName ="Required", ErrorMessageResourceType =typeof(L))]
        public string Name { get; set; }
        public HttpPostedFileBase file { get; set; }
        public string Path { get; set; }
        public string FileName { get; set; }

        [Range(1,100, ErrorMessageResourceName ="FileOrderInvalid", ErrorMessageResourceType =typeof(L))]
        public int Order { get; set; }
        public ProcedureFileType Type { get; set; }
    }

}

AdminCaja/Areas/Admin/Models/Procedures/ProcedureTypeViewModel.cs
using Resources;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AdminCaja.Areas.Admin.Models.Procedures
{
    public class ProcedureTypeViewModel
    {
        public int Id { get; set; }

        [Display(Name = "Name", ResourceType = typeof(L))]
        [Required]
        public string Name { get; set; }

        [Required]
        public int CustomerTypeId { get; set; }
        public string CustomerType { get; set; }
        public IEnumerable<SelectListItem> CustomerTypes { get; set; }
    }
}

AdminCaja/Areas/Admin/Models/Procedures/ProcedureViewModel.cs
using AdminCaja.Models;
using Resources;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AdminCaja.Areas.Admin.Models.Procedures
{
    public class ProcedureViewModel
    {
        public int Id { get; set; }

        [Display(Name = "ProcedureType", ResourceType = typeof(L))]
        public int ProcedureTypeId { get; set; }

        [Display(Name = "ProcedureType", ResourceType = typeof(L))]
        public string ProcedureTypeName { get; set; }

        [Display(Name = "CustomerType", ResourceType = typeof(L))]
        public string ProcedureTypeCustomerTypeName { get; set; }

        [Display(Name = "Name", ResourceType = typeof(L))]
        [Required]
        public string Name { get; set; }

        //[Display(Name ="Description", ResourceType =typeof(L))]
        //[Required]
        //public string Description { get; set; }

        [Display(Name = "WhatIsIt", ResourceType = typeof(L))]
        public string WhatIsIt { get; set; }

        [Display(Name = "ForWhom", ResourceType = typeof(L))]
        public string ForWhom { get; set; }

        [Display(Name = "HowTo", ResourceType = typeof(L))]
        public string HowTo { get; set; }

        [Display(Name = "WhereIs", ResourceType = typeof(L))]
        public string WhereIs { get; set; }

        [Display(Name = "Area", ResourceType = typeof(L))]
        public string Area { get; set; }

        public virtual Collection<ProcedureFileViewModel> Files { get; set; }

        //Listas
        public IEnumerable<SelectListItem> ProcedureTypes { get; set; }
        public IEnumerable<SelectListItem> Services { get; set; }
        public int[] SelectedServices { get; set; }


    }
}

AdminCaja/Areas/Admin/Controllers/ProceduresController.cs
using AdminCaja.Areas.Admin.Models;
using AdminCaja.Areas.Admin.Models.Procedures;
using AdminCaja.Areas.Admin.Services;
using AdminCaja.Models;
using AutoMapper;
using Microsoft.Ajax.Utilities;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

namespace AdminCaja.Areas.Admin.Controllers
{
    public class ProceduresController : Controller
    {
        private ApplicationDbContext _context;
        private IMapper _mapper;
        private IFileService _fileService;

        public ProceduresController(ApplicationDbContext context, IMapper mapper, IFileService fileService)
        {
            _context = context;
            _mapper = mapper;
            _fileService = fileService;
        }

        #region Tipos
        public async Task<ActionResult> TypeIndex(int Page = 1, int ItemsPerPage = 10)
        {
            PaggedData<ProcedureTypeViewModel> result = new PaggedData<ProcedureTypeViewModel>();

            result.Items = await _context.ProcedureTypes.CountAsync();
            result.ItemsPerPage = ItemsPerPage;
            result.CurrentPage = Page;

            var sections = await _context.ProcedureTypes
                .Include(x=> x.CustomerType)
                .OrderBy(x => x.Id)
                .Skip(result.ItemsPerPage * (result.CurrentPage - 1))
                .Take(result.ItemsPerPage)
                .ToListAsync();

            result.Data = _mapper.Map<List<ProcedureType>, List<ProcedureTypeViewModel>>(sections);

            return View(result);
        }

        public async Task<ActionResult> AddType()
        {
            ProcedureTypeViewModel model = new ProcedureTypeViewModel();
            model.CustomerTypes = await GetCustomerTypes();

            return View("EditType", model);
        }

        public async Task<ActionResult> EditType(int Id)
        {
            var savedProcedureType = await _context.ProcedureTypes.FirstOrDefaultAsync(x => x.Id == Id);

            ProcedureTypeViewModel model = _mapper.Map<ProcedureTypeViewModel>(savedProcedureType);
            model.CustomerTypes = await GetCustomerTypes();

            return View("EditType", model);
        }


        [HttpPost]
        public async Task<ActionResult> SaveProcedureType(ProcedureTypeViewModel model)
        {
            if (ModelState.IsValid)
            {
                var savedProcedureType = await _context.ProcedureTypes.FirstOrDefaultAsync(x => x.Id == model.Id);

                if(savedProcedureType == null)
                {
                    savedProcedureType = _mapper.Map<ProcedureType>(model);
                    _context.ProcedureTypes.Add(savedProcedureType);
                }
                else
                {
                    _mapper.Map(model, savedProcedureType);
                }

                await _context.SaveChangesAsync();
                return RedirectToAction("TypeIndex");
            }

            return View("EditType", model);
        }

        public async Task<ActionResult> DeleteType(int Id)
        {
            var procedureType = await _context.ProcedureTypes
                        .FirstOrDefaultAsync(x => x.Id == Id);

            var vm = _mapper.Map<ProcedureTypeViewModel>(procedureType);
            return PartialView("DeleteProcedureType",vm);
        }

        [HttpPost]
        public async Task<ActionResult> ConfirmDeleteType(int Id)
        {
            var ProcedureTypeContent = await _context.ProcedureTypes
            .FirstOrDefaultAsync(x => x.Id == Id);

            if (ProcedureTypeContent != null)
            {
                _context.ProcedureTypes.Remove(ProcedureTypeContent);
                await _context.SaveChangesAsync();
            }

            return Json(new ResultModelModalResult { execute = true });
        }

        private async Task<IEnumerable<SelectListItem>> GetCustomerTypes()
        {
            return await _context.CustomerTypes.Select(x => new SelectListItem { Text = x.Name, Value = x.Id.ToString() }).ToListAsync();
        }
        #endregion

        #region Procedures
        // GET: Admin/Procedures
        public async Task<ActionResult> Index(int Page = 1, int ItemsPerPage = 10)
        {
            PaggedData<ProcedureViewModel> result = new PaggedData<ProcedureViewModel>();

            result.Items = await _context.Procedures.CountAsync();
            result.ItemsPerPage = ItemsPerPage;
            result.CurrentPage = Page;

            var procedures = await _context.Procedures
                .Include(x=> x.ProcedureType)
                .Include(x=> x.ProcedureType.CustomerType)
                .OrderBy(x => x.Id)
                .Skip(result.ItemsPerPage * (result.CurrentPage - 1))
                .Take(result.ItemsPerPage)
                .ToListAsync();

            result.Data = _mapper.Map<List<Procedure>, List<ProcedureViewModel>>(procedures);


            return View(result);
        }

        public async Task<ActionResult> Add()
        {
            ProcedureViewModel model = new ProcedureViewModel();
            model.ProcedureTypes = await GetProcedureTypes();
            model.Services = await GetServices();

            return View("Edit", model);
        }

        public async Task<ActionResult> Edit(int Id)
        {
            var savedProcedure = await _context.Procedures
                .Include(x=> x.Services)
                .FirstOrDefaultAsync(x => x.Id == Id);

            ProcedureViewModel model = _mapper.Map<ProcedureViewModel>(savedProcedure);
            model.ProcedureTypes = await GetProcedureTypes();
            model.Services = await GetServices();
            model.SelectedServices = savedProcedure.Services.Select(x => x.Id).ToArray();

            return View("Edit", model);
        }


        [HttpPost]
        public async Task<ActionResult> Save(ProcedureViewModel model)
        {
            if (ModelState.IsValid)
            {
                var savedProcedure = await _context.Procedures
                    .Include(x=> x.Services)
                    .FirstOrDefaultAsync(x => x.Id == model.Id);

                if (savedProcedure == null)
                {
                    savedProcedure = _mapper.Map<Procedure>(model);

                    if (model.SelectedServices != null)
                    {
                        var services = await _context.Services.Where(x => model.SelectedServices.Contains(x.Id)).ToListAsync();
                        foreach (var item in services)
                        {
                            item.Procedures.Add(savedProcedure);
                        }
                    }
                    _context.Procedures.Add(savedProcedure);
                }
                else
                {
                    _mapper.Map(model, savedProcedure);

                    if (model.SelectedServices != null)
                    { 
                        var eliminados = savedProcedure.Services.Where(x => !model.SelectedServices.Contains(x.Id)).ToList();
                        eliminados.ForEach(x => x.Procedures.Remove(savedProcedure));
                    
                        var services = await _context.Services.Where(x => model.SelectedServices.Contains(x.Id)).ToListAsync();
                        foreach (var item in services)
                        {
                            item.Procedures.Add(savedProcedure);
                        }
                    }
                    else
                    {
                        savedProcedure.Services.ForEach(x => x.Procedures.Remove(savedProcedure));
                    }

                }

                await _context.SaveChangesAsync();
                return RedirectToAction("Index");
            }

            model.ProcedureTypes = await GetProcedureTypes();
            model.Services = await GetServices();

            return View("Edit", model);
        }

        private async Task<IEnumerable<SelectListItem>> GetProcedureTypes()
        {
            return await _context.ProcedureTypes.Select(x => new SelectListItem { Text = x.Name, Value = x.Id.ToString() }).ToListAsync();
        }

        private async Task<IEnumerable<SelectListItem>> GetServices()
        {
            return await _context.Services.Select(x => new SelectListItem { Text = x.Title, Value = x.Id.ToString() }).ToListAsync();
        }

        #endregion

        #region Files
        [HttpGet]
        public async Task<ActionResult> NewFile(int procedureId, ProcedureFileType type)
        {
            ProcedureFileViewModel model = new ProcedureFileViewModel
            {
                ProcedureId = procedureId,
                Type = type,
                Order = await GetMaxOrder(procedureId, type)
            };

            return PartialView("EditFile", model);
        }

        [HttpGet]
        public async Task<ActionResult> EditFile(int Id)
        {
            var file = await _context.ProcedureFiles
            .Include(x => x.Procedure)
            .Where(x => x.Id == Id)
            .FirstOrDefaultAsync();

            var model = _mapper.Map<ProcedureFileViewModel>(file);

            return PartialView("EditFile", model);
        }

        public async Task<ActionResult> AddorUpdateFile(ProcedureFileViewModel model)
        {
            if (ModelState.IsValid)
            {
                var file = await _context.ProcedureFiles.FirstOrDefaultAsync(x => x.Id == model.Id);

                if (file == null)
                {
                    if (model.file != null && model.file.ContentLength > 0)
                    {
                        return await AddFile(model);
                    }
                    else
                    {
                        ModelState.AddModelError("file", "Debe seleccionar un archivo para agregar");
                    }

                }
                else

AdminCaja/Areas/Admin/Views/Procedures/DeleteProcedureFile.cshtml
@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureFileViewModel

@using (Html.BeginForm("ConfirmDeleteFile", "Procedures", FormMethod.Post, new { @class = "form-horizontal form-material" }))
{
    @Html.HiddenFor(m => m.Id)
    @Html.AntiForgeryToken()

    <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Eliminar Archivo</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>¿Estás seguro de eliminar el archivo @Model.Name (@Model.FileName)? Se eliminarán sus contenidos completamente del sitio.</p>
    </div>

    <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Eliminar</button>
        <button type="button" data-dismiss="modal" class="btn btn-primary">Cancelar</button>
    </div>
}

AdminCaja/Areas/Admin/Views/Procedures/DeleteProcedureType.cshtml
@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureTypeViewModel

@using (Html.BeginForm("ConfirmDeleteType", "Procedures", FormMethod.Post, new { @class = "form-horizontal form-material" }))
{
    @Html.HiddenFor(m => m.Id)
    @Html.AntiForgeryToken()

    <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Eliminar Servicio</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>¿Estás seguro de eliminar el tipo @Model.Name? Se eliminarán sus contenidos completamente del sitio.</p>
    </div>

    <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Eliminar</button>
        <button type="button" data-dismiss="modal" class="btn btn-primary">Cancelar</button>
    </div>
}

AdminCaja/Areas/Admin/Views/Procedures/Edit.cshtml
@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureViewModel
<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Editar Home</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item"><a href="/Admin/Procedures/Index">Trámites</a></li>
            @if (Model.Id == 0)
            {
                <li class="breadcrumb-item active">Nuevo trámite</li>
            }
            else
            {
                <li class="breadcrumb-item active">@Model.Name</li>
            }

        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <div class="card-block">
                @using (Html.BeginForm("Save", "Procedures", FormMethod.Post, new { @class = "form-horizontal form-material" }))
                {
                    <input type="hidden" name="Id" value="@Model.Id" />
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.Name, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.EditorFor(m => m.Name, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(m => m.Name)
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="message-text" class="col-form-label">Tipo de cliente</label>
                        <select class="form-control" id="CodSegmento" name="CodSegmento">
                            <option value="1">Depositante</option>
                            <option value="2">Inversores</option>
                            <option value="3">Emisor</option>
                            <option value="4">Titular de cuenta en el registro</option>
                            <option value="5">Responsable CHPD / Pagarés</option>
                            <option value="6">Otros trámites</option>
                        </select>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(m => m.ProcedureTypeId, new { htmlAttributes = new { @class = "col-form-label" } })
                        @Html.DropDownListFor(m => m.ProcedureTypeId, Model.ProcedureTypes, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.ProcedureTypeId)
                    </div>
                    <div class="form-group">
                        <label for="message-text" class="col-form-label"> Servicios asociados:</label>
                        <br>
                        @foreach (var item in Model.Services)
                        {
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" id="@("inlineCheckbox" + item.Value)" name="SelectedServices" value="@item.Value"
                                       @if (Model.SelectedServices != null && Model.SelectedServices.Contains(int.Parse(item.Value))) { <text> checked </text>  }>
                                <label class="form-check-label" for="@("inlineCheckbox" + item.Value)">@item.Text</label>
                            </div>
                        }
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.WhatIsIt, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.WhatIsIt, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.WhatIsIt)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.ForWhom, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.ForWhom, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.ForWhom)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.HowTo, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.HowTo, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.HowTo)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.WhereIs, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.WhereIs, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.WhereIs)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.Area, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.Area, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.Area)
                        </div>
                    </div>
                    <div class="form-group">
                        <dir class="row no-padding">
                            <div class="col-lg-8"><h3>Adjuntar documentación</h3></div>
                            <div class="col-lg-4">
                                <p>
                                    @Html.ActionLink("Agregar documento", "NewFile", new { ProcedureId = Model.Id, type = AdminCaja.Models.ProcedureFileType.document }, new { @class = "btn btn-export", data_modal = "popup" })
                                </p>
                            </div>
                        </dir>
                    </div>
                    <div class="card-block no-padding" id="panelDocument">
                        <div class="table-responsive">
                            @Html.Partial("_documentList", Model.Files.Where(x => x.Type == AdminCaja.Models.ProcedureFileType.document).OrderBy(x => x.Order).ToList())
                        </div>
                    </div>
                    <br>
                    <div class="form-group">
                        <dir class="row no-padding">
                            <div class="col-lg-8"><h3>Adjuntar formulario</h3></div>
                            <div class="col-lg-4">
                                <p>
                                    @Html.ActionLink("Agregar formulario", "NewFile", new { ProcedureId = Model.Id, type = AdminCaja.Models.ProcedureFileType.form }, new { @class = "btn btn-export", data_modal = "popup" })

                                </p>
                            </div>
                        </dir>
                        <div class="card-block no-padding" id="panelForm">
                            @Html.Partial("_documentList", Model.Files.Where(x => x.Type == AdminCaja.Models.ProcedureFileType.form).OrderBy(x => x.Order).ToList())
                        </div>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section scripts{
    <script>
        function modalFormExecute(key, result) {
            if (result.type === 0) {
                $("#panelDocument").load(result.url);
            } else {
                $("#panelForm").load(result.url);
            }
        }

        $(function () {
            $('input[type="file"]').change(function () {
                var fileName = $(this).val().match(/[^\\/]*$/)[0];
                var span = $("label[for='" + $(this).attr('id') + "']").find("span");
                span.text(fileName);
            });
        })
     </script>
    }
}

AdminCaja/Areas/Admin/Views/Procedures/EditFile.cshtml
@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureFileViewModel

@using (Html.BeginForm("AddorUpdateFile", "Procedures", FormMethod.Post, new { @class = "form-horizontal form-material" }))
{

    <div class="modal-content">
        <div class="modal-header">
            @if (Model.Type == AdminCaja.Models.ProcedureFileType.document)
            {
                <h5 class="modal-title" id="exampleModalLabel">Agregar Documento</h5>
            }
            else
            {
                <h5 class="modal-title" id="exampleModalLabel">Agregar Formulario</h5>
            }

            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            @Html.HiddenFor(m => m.Id)
            @Html.HiddenFor(m => m.ProcedureId)
            @Html.HiddenFor(m => m.Type)

            <div class="form-group">
                @Html.LabelFor(m => m.Order, new { htmlAttributes = new { @class = "col-form-label" } })
                @Html.EditorFor(m => m.Order, new { htmlAttributes = new { @class = "form-control", @type = "number" } })
                @Html.ValidationMessageFor(m => m.Order)

            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Name, new { htmlAttributes = new { @class = "col-form-label" } })
                @Html.EditorFor(m => m.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(m => m.Name)
            </div>
            <div class="form-group">
                <label for="exampleFormControlFile1">Seleccionar Archivo</label>
                <input type="file" class="form-control-file" name="file" id="file">
                @Html.ValidationMessageFor(m => m.file)

            </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Agregar</button>
        </div>
    </div>
}

AdminCaja/Areas/Admin/Views/Procedures/EditType.cshtml
@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureTypeViewModel
<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Editar Home</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item"><a href="/Admin/Procedures/TypeIndex>Trámites</a></li>
            @if (Model.Id == 0)
            {
                <li class="breadcrumb-item active">Crear Tipo de Trámite</li>
            }
            else
            {
                <li class="breadcrumb-item active">Editar Tipo de Trámite</li>
            }

        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <div class="card-block">
                @using (Html.BeginForm("SaveProcedureType","Procedures", FormMethod.Post, new {@class = "form-horizontal form-material"}))
                {
                    <input type="hidden" name="Id" value="@Model.Id" />
                    @Html.AntiForgeryToken()

                    <div class="form-group">
                        <label for="message-text" class="col-form-label">Nombre del tipo de trámite</label>
                        @Html.EditorFor(m => m.Name, new { htmlAttributes = new { @class = "form-control", placeholder = "Nombre" } })
                        @Html.ValidationMessageFor(m => m.Name)
                    </div>

                    <div class="form-group">
                        <label for="message-text" class="col-form-label">Cliente asociado</label>
                        @Html.DropDownListFor(m => m.CustomerTypeId, Model.CustomerTypes, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.CustomerTypeId)
                    </div>


                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                 }
</div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->

AdminCaja/Areas/Admin/Views/Procedures/_documentList.cshtml
@using AdminCaja.Areas.Admin.Models.Procedures
@model List<ProcedureFileViewModel>
<div class="table-responsive">

    <table>
        @if (Model != null && Model.Count() > 0)
        {
            var tipo = Model.First().Type;

            <thead>
                <tr>
                    @if (tipo == AdminCaja.Models.ProcedureFileType.document)
                    {
                        <th scope="col">Documento</th>
                    }
                    else
                    {
                        <th scope="col">Formulario</th>
                    }

                    <th scope="col">Archivo</th>
                    <th scope="col">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td data-label="Tipo de trámite">@item.Name</td>
                        <td data-label="Trámite">@item.FileName</td>
                        <td class="comandos" data-label="Acciones">
                            @Html.ActionLink("Editar", "EditFile", new { Id = item.Id }, new { @class = "btn btn-export", data_modal = "popup" })
                            @Html.ActionLink("Eliminar", "DeleteFile", new { Id = item.Id }, new { @class = "btn btn-export", data_modal = "popup" })
                        </td>
                    </tr>
                }

            </tbody>
        }
    </table>
</div>